List banks
curl --request GET \
--url https://{host}/v1/banks \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://{host}/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/banks"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"items": [
{
"code": "<string>",
"name": "<string>",
"cbn_code": "<string>"
}
]
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}Banks
List banks
Every bank NIP reaches, sorted by name, or those whose name contains search. The list changes rarely: keep it a day (Cache-Control). code is what POST /v1/transfers/interbank takes as beneficiary_bank_code.
Required permission: transfers:write, feature:TRANSFERS_INTERBANK
GET
/
v1
/
banks
List banks
curl --request GET \
--url https://{host}/v1/banks \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://{host}/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/banks"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"items": [
{
"code": "<string>",
"name": "<string>",
"cbn_code": "<string>"
}
]
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}